alphagov/multipage-frontend

Vulnerabilities

37 via 1481 paths

Dependencies

109

Source

GitHub

Commit

0692a27f

Find, fix and prevent vulnerabilities in your code.

Severity
  • 20
  • 15
  • 2
Status
  • 37
  • 0
  • 0

high severity

Remote Code Execution (RCE)

  • Vulnerable module: actionview
  • Introduced through: rails@5.0.0.1, rails-controller-testing@1.0.1 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails@5.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails@5.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails@5.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails@5.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails@5.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails@5.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

actionview is a simple, battle-tested conventions and helpers for building web pages.

Affected versions of this package are vulnerable to Remote Code Execution (RCE). An attacker might be able to control the locals argument of a render call.

Note: It doesn't affect applications that don't allow users to control the names of locals.

Remediation

Upgrade actionview to version 4.2.11.3, 5.0.1 or higher.

References

high severity

Deserialization of Untrusted Data

  • Vulnerable module: activesupport
  • Introduced through: rails@5.0.0.1, jbuilder@2.6.0 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 jbuilder@2.6.0 activesupport@5.0.0.1
    Remediation: Upgrade to jbuilder@2.6.4.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 activesupport@5.0.0.1
    Remediation: Upgrade to slimmer@10.1.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activerecord@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activerecord@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activerecord@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.2.4.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activerecord@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

activesupport is a toolkit of support libraries and Ruby core extensions extracted from the Rails framework.

Affected versions of this package are vulnerable to Deserialization of Untrusted Data via the MemCacheStore and RedisCacheStore. when untrusted user input is written to the cache store using the raw: true parameter, re-reading the result from the cache can evaluate the user input as a Marshalled object instead of plain text.

Remediation

Upgrade activesupport to version 5.2.4.3, 6.0.3.1 or higher.

References

high severity

Denial of Service (DoS)

  • Vulnerable module: i18n
  • Introduced through: rails@5.0.0.1, jbuilder@2.6.0 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 jbuilder@2.6.0 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to jbuilder@2.6.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to slimmer@10.1.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activerecord@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 activerecord@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activerecord@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 activerecord@5.0.0.1 activemodel@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 activejob@5.0.0.1 globalid@0.3.7 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 activesupport@5.0.0.1 i18n@0.7.0
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

i18n is a Ruby Internationalization and localization solution.

Affected versions of this package are vulnerable to Denial of Service (DoS) attacks via the Hash#slice() Function. An attaker may cause the program to crash by calling a hash when :some_key is in keep_keys but not in the hash.

Details

Denial of Service (DoS) describes a family of attacks, all aimed at making a system inaccessible to its intended and legitimate users.

Unlike other vulnerabilities, DoS attacks usually do not aim at breaching security. Rather, they are focused on making websites and services unavailable to genuine users resulting in downtime.

One popular Denial of Service vulnerability is DDoS (a Distributed Denial of Service), an attack that attempts to clog network pipes to the system by generating a large volume of traffic from many machines.

When it comes to open source libraries, DoS vulnerabilities allow attackers to trigger such a crash or crippling of the service by using a flaw either in the application code or from the use of open source libraries.

Two common types of DoS vulnerabilities:

  • High CPU/Memory Consumption- An attacker sending crafted requests that could cause the system to take a disproportionate amount of time to process. For example, commons-fileupload:commons-fileupload.

  • Crash - An attacker sending crafted requests that could cause the system to crash. For Example, npm ws package

Remediation

Upgrade i18n to version 0.8.0 or higher.

References

high severity

Denial of Service (DoS)

  • Vulnerable module: json
  • Introduced through: sdoc@0.4.2, simplecov@0.10.0 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sdoc@0.4.2 json@1.8.3
    Remediation: Upgrade to sdoc@1.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 simplecov@0.10.0 json@1.8.3
    Remediation: Upgrade to simplecov@0.12.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 json@1.8.3
    Remediation: Upgrade to slimmer@10.1.3.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sdoc@0.4.2 rdoc@4.2.2 json@1.8.3
    Remediation: Upgrade to sdoc@0.4.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 simplecov-rcov@0.2.3 simplecov@0.10.0 json@1.8.3
    Remediation: Upgrade to simplecov-rcov@0.2.3.

Overview

json is a JSON implementation as a Ruby extension in C.

Affected versions of this package are vulnerable to Denial of Service (DoS). When parsing certain JSON documents, the json gem (including the one bundled with Ruby) can be coerced into creating arbitrary objects in the target system.

This is the same issue as CVE-2013-0269. The previous fix was incomplete, which addressed JSON.parse(user_input), but didn’t address some other styles of JSON parsing including JSON(user_input) and JSON.parse(user_input, nil).

See CVE-2013-0269 in detail.

Details

Denial of Service (DoS) describes a family of attacks, all aimed at making a system inaccessible to its original and legitimate users. There are many types of DoS attacks, ranging from trying to clog the network pipes to the system by generating a large volume of traffic from many machines (a Distributed Denial of Service - DDoS - attack) to sending crafted requests that cause a system to crash or take a disproportional amount of time to process.

The Regular expression Denial of Service (ReDoS) is a type of Denial of Service attack. Regular expressions are incredibly powerful, but they aren't very intuitive and can ultimately end up making it easy for attackers to take your site down.

Let’s take the following regular expression as an example:

regex = /A(B|C+)+D/

This regular expression accomplishes the following:

  • A The string must start with the letter 'A'
  • (B|C+)+ The string must then follow the letter A with either the letter 'B' or some number of occurrences of the letter 'C' (the + matches one or more times). The + at the end of this section states that we can look for one or more matches of this section.
  • D Finally, we ensure this section of the string ends with a 'D'

The expression would match inputs such as ABBD, ABCCCCD, ABCBCCCD and ACCCCCD

It most cases, it doesn't take very long for a regex engine to find a match:

$ time node -e '/A(B|C+)+D/.test("ACCCCCCCCCCCCCCCCCCCCCCCCCCCCD")'
0.04s user 0.01s system 95% cpu 0.052 total

$ time node -e '/A(B|C+)+D/.test("ACCCCCCCCCCCCCCCCCCCCCCCCCCCCX")'
1.79s user 0.02s system 99% cpu 1.812 total

The entire process of testing it against a 30 characters long string takes around ~52ms. But when given an invalid string, it takes nearly two seconds to complete the test, over ten times as long as it took to test a valid string. The dramatic difference is due to the way regular expressions get evaluated.

Most Regex engines will work very similarly (with minor differences). The engine will match the first possible way to accept the current character and proceed to the next one. If it then fails to match the next one, it will backtrack and see if there was another way to digest the previous character. If it goes too far down the rabbit hole only to find out the string doesn’t match in the end, and if many characters have multiple valid regex paths, the number of backtracking steps can become very large, resulting in what is known as catastrophic backtracking.

Let's look at how our expression runs into this problem, using a shorter string: "ACCCX". While it seems fairly straightforward, there are still four different ways that the engine could match those three C's:

  1. CCC
  2. CC+C
  3. C+CC
  4. C+C+C.

The engine has to try each of those combinations to see if any of them potentially match against the expression. When you combine that with the other steps the engine must take, we can use RegEx 101 debugger to see the engine has to take a total of 38 steps before it can determine the string doesn't match.

From there, the number of steps the engine must use to validate a string just continues to grow.

String Number of C's Number of steps
ACCCX 3 38
ACCCCX 4 71
ACCCCCX 5 136
ACCCCCCCCCCCCCCX 14 65,553

By the time the string includes 14 C's, the engine has to take over 65,000 steps just to see if the string is valid. These extreme situations can cause them to work very slowly (exponentially related to input size, as shown above), allowing an attacker to exploit this and can cause the service to excessively consume CPU, resulting in a Denial of Service.

Remediation

Upgrade json to version 2.3.0 or higher.

References

high severity

Cross-site Scripting (XSS)

  • Vulnerable module: loofah
  • Introduced through: rails@5.0.0.1, rails-controller-testing@1.0.1 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

loofah is a general library for manipulating and transforming HTML/XML documents and fragments, built on top of Nokogiri.

Affected versions of this package are vulnerable to Cross-site Scripting (XSS). Unsanitized JavaScript may occur in sanitized output when a crafted SVG element is republished.

Details

A cross-site scripting attack occurs when the attacker tricks a legitimate web-based application or site to accept a request as originating from a trusted source.

This is done by escaping the context of the web application; the web application then delivers that data to its users along with other trusted dynamic content, without validating it. The browser unknowingly executes malicious script on the client side (through client-side languages; usually JavaScript or HTML) in order to perform actions that are otherwise typically blocked by the browser’s Same Origin Policy.

ֿInjecting malicious code is the most prevalent manner by which XSS is exploited; for this reason, escaping characters in order to prevent this manipulation is the top method for securing code against this vulnerability.

Escaping means that the application is coded to mark key characters, and particularly key characters included in user input, to prevent those characters from being interpreted in a dangerous context. For example, in HTML, < can be coded as &lt; and > can be coded as &gt; in order to be interpreted and displayed as themselves in text, while within the code itself, they are used for HTML tags. If malicious content is injected into an application that escapes special characters and that malicious content uses < and > as HTML tags, those characters are nonetheless not interpreted as HTML tags by the browser if they’ve been correctly escaped in the application code and in this way the attempted attack is diverted.

The most prominent use of XSS is to steal cookies (source: OWASP HttpOnly) and hijack user sessions, but XSS exploits have been used to expose sensitive information, enable access to privileged services and functionality and deliver malware.

Types of attacks

There are a few methods by which XSS can be manipulated:

Type Origin Description
Stored Server The malicious code is inserted in the application (usually as a link) by the attacker. The code is activated every time a user clicks the link.
Reflected Server The attacker delivers a malicious link externally from the vulnerable web site application to a user. When clicked, malicious code is sent to the vulnerable web site, which reflects the attack back to the user’s browser.
DOM-based Client The attacker forces the user’s browser to render a malicious page. The data in the page itself delivers the cross-site scripting data.
Mutated The attacker injects code that appears safe, but is then rewritten and modified by the browser, while parsing the markup. An example is rebalancing unclosed quotation marks or even adding quotation marks to unquoted parameters.

Affected environments

The following environments are susceptible to an XSS attack:

  • Web servers
  • Application servers
  • Web application environments

How to prevent

This section describes the top best practices designed to specifically protect your code:

  • Sanitize data input in an HTTP request before reflecting it back, ensuring all data is validated, filtered or escaped before echoing anything back to the user, such as the values of query parameters during searches.
  • Convert special characters such as ?, &, /, <, > and spaces to their respective HTML or URL encoded equivalents.
  • Give users the option to disable client-side scripts.
  • Redirect invalid requests.
  • Detect simultaneous logins, including those from two separate IP addresses, and invalidate those sessions.
  • Use and enforce a Content Security Policy (source: Wikipedia) to disable any features that might be manipulated for an XSS attack.
  • Read the documentation for any of the libraries referenced in your code to understand which elements allow for embedded HTML.

Remediation

Upgrade loofah to version 2.3.1 or higher.

References

high severity

Arbitrary Code Execution

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri (鋸) is an HTML, XML, SAX, and Reader parser, with the ability to search documents via XPath or CSS3 selectors.

Affected versions of the package are vulnerable to Arbitrary Code Execution or a Denial of Service (memory corruption) via a crafted web site. Nokogiri bundles the libxslt library, which is vulnerable in versions below 3.

Denial of Service (DoS) - CVE-2016-4738

libxslt allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via a crafted web site.

Arbitrary Code Execution - CVE-2017-5029

The xsltAddTextString function in transform.c in libxslt, lacked a check for integer overflow during a size calculation. This allowed a remote attacker to perform an out of bounds memory write via a crafted HTML page.

Remediation

Upgrade nokogiri to version 1.7.2 or higher.

References

high severity

Command Injection

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri is a gem for parsing HTML, XML, SAX, and Reader.

Affected versions of this package are vulnerable to Command Injection via the undocumented method Nokogiri::CSS::Tokenizer#load_file. This allows commands to be executed in a subprocess.

Remediation

Upgrade nokogiri to version 1.10.4-java or higher.

References

high severity

Denial of Service (DoS)

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri is an HTML, XML, SAX, and Reader parser. Among Nokogiri's features is the ability to search documents via XPath or CSS3 selectors.

Affected versions of this package are vulnerable to Denial of Service (DoS), due to using vulnerable version of libxml2. When expanding a parameter entity in a DTD, an infinite recursion could occur and halt expected execution or lead to memory exhaustion.

Details

Denial of Service (DoS) describes a family of attacks, all aimed at making a system inaccessible to its intended and legitimate users.

Unlike other vulnerabilities, DoS attacks usually do not aim at breaching security. Rather, they are focused on making websites and services unavailable to genuine users resulting in downtime.

One popular Denial of Service vulnerability is DDoS (a Distributed Denial of Service), an attack that attempts to clog network pipes to the system by generating a large volume of traffic from many machines.

When it comes to open source libraries, DoS vulnerabilities allow attackers to trigger such a crash or crippling of the service by using a flaw either in the application code or from the use of open source libraries.

Two common types of DoS vulnerabilities:

  • High CPU/Memory Consumption- An attacker sending crafted requests that could cause the system to take a disproportionate amount of time to process. For example, commons-fileupload:commons-fileupload.

  • Crash - An attacker sending crafted requests that could cause the system to crash. For Example, npm ws package

Remediation

Upgrade nokogiri to version 1.8.2 or higher.

References

high severity

Denial of Service (DoS)

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri is an HTML, XML, SAX, and Reader parser. Among Nokogiri's features is the ability to search documents via XPath or CSS3 selectors.

Affected versions of this package are vulnerable to Denial of Service (DoS) due to using vulnerable version of libxml2 which incorrectly handled certain fields. An attacker could use this issue with specially constructed XML data to cause libxml2 to consume resources, leading to a denial of service.

Details

Denial of Service (DoS) describes a family of attacks, all aimed at making a system inaccessible to its intended and legitimate users.

Unlike other vulnerabilities, DoS attacks usually do not aim at breaching security. Rather, they are focused on making websites and services unavailable to genuine users resulting in downtime.

One popular Denial of Service vulnerability is DDoS (a Distributed Denial of Service), an attack that attempts to clog network pipes to the system by generating a large volume of traffic from many machines.

When it comes to open source libraries, DoS vulnerabilities allow attackers to trigger such a crash or crippling of the service by using a flaw either in the application code or from the use of open source libraries.

Two common types of DoS vulnerabilities:

  • High CPU/Memory Consumption- An attacker sending crafted requests that could cause the system to take a disproportionate amount of time to process. For example, commons-fileupload:commons-fileupload.

  • Crash - An attacker sending crafted requests that could cause the system to crash. For Example, npm ws package

Remediation

Upgrade nokogiri to version 1.8.2 or higher.

References

high severity

Denial of Service (DoS)

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri is a gem for parsing HTML, XML, SAX, and Reader.

Affected versions of this package are vulnerable to Denial of Service (DoS). It bundles the libxml2 library, which is vulnerable in versions below 2.9.10

##Details Denial of Service (DoS) describes a family of attacks, all aimed at making a system inaccessible to its intended and legitimate users.

Unlike other vulnerabilities, DoS attacks usually do not aim at breaching security. Rather, they are focused on making websites and services unavailable to genuine users resulting in downtime.

One popular Denial of Service vulnerability is DDoS (a Distributed Denial of Service), an attack that attempts to clog network pipes to the system by generating a large volume of traffic from many machines.

When it comes to open source libraries, DoS vulnerabilities allow attackers to trigger such a crash or crippling of the service by using a flaw either in the application code or from the use of open source libraries.

Two common types of DoS vulnerabilities:

  • High CPU/Memory Consumption- An attacker sending crafted requests that could cause the system to take a disproportionate amount of time to process. For example, commons-fileupload:commons-fileupload.

  • Crash - An attacker sending crafted requests that could cause the system to crash. For Example, npm ws package

Remediation

Upgrade nokogiri to version 1.10.8 or higher.

References

high severity

Denial of Service (DoS)

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri is an HTML, XML, SAX, and Reader parser. Among Nokogiri's features is the ability to search documents via XPath or CSS3 selectors.

Affected versions of this package are vulnerable to several Denial of Service (DoS) vulnerabilities. Nokogiri bundles the libxml2 library, which is vulnerable in versions through 2.9.6.

CVE-2018-14404

A NULL pointer dereference vulnerability exists in the xpath.c:xmlXPathCompOpEval() function of libxml2 through 2.9.8 when parsing an invalid XPath expression in the XPATH_OP_AND or XPATH_OP_OR case. Applications processing untrusted XSL format inputs with the use of the libxml2 library may be vulnerable to a denial of service attack due to a crash of the application

CVE-2018-14567

If --with-lzma is used, allows remote attackers to cause a denial of service (infinite loop) via a crafted XML file that triggers LZMA_MEMLIMIT_ERROR, as demonstrated by xmllint infinite loop in LZMA decompression.

Remediation

Upgrade nokogiri to version 1.8.5 or higher.

References

high severity

Out of Bounds Memory Write

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri (鋸) is an HTML, XML, SAX, and Reader parser, with the ability to search documents via XPath or CSS3 selectors.

Affected versions of the package are vulnerable to Out of Bounds Memory Write. Nokogiri bundles the libxslt library, which is vulnerable in versions below 3. The xsltAddTextString function in transform.c lacked a check for integer overflow during a size calculation, which allowed a remote attacker to perform an out of bounds memory write via a crafted HTML page.

Remediation

Upgrade nokogiri to version 1.7.2 or higher.

References

high severity

Uncontrolled Memory Allocation

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri is a gem for parsing HTML, XML, SAX, and Reader.

Affected versions of this package are vulnerable to Uncontrolled Memory Allocation. Nokogiri bundles the libxslt C library, that has been recently discovered to have vulnerabilities.

CVE-2019-13117 In numbers.c in libxslt 1.1.33, an xsl:number with certain format strings could lead to a uninitialized read in xsltNumberFormatInsertNumbers. This could allow an attacker to discern whether a byte on the stack contains the characters A, a, I, i, or 0, or any other character.

CVE-2019-13118 In numbers.c in libxslt 1.1.33, a type holding grouping characters of an xsl:number instruction was too narrow and an invalid character/length combination could be passed to xsltNumberFormatDecimal, leading to a read of uninitialized stack data

CVE-2019-18197 In xsltCopyText in transform.c in libxslt 1.1.33, a pointer variable isn't reset under certain circumstances. If the relevant memory area happened to be freed and reused in a certain way, a bounds check could fail and memory outside a buffer could be written to, or uninitialized data could be disclosed.

Remediation

Upgrade nokogiri to version 1.10.5 or higher.

References

high severity

Use of vulnerable libxml2

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.

Overview

nokogiri (鋸) is an HTML, XML, SAX, and Reader parser, with the ability to search documents via XPath or CSS3 selectors.

Affected versions of the package are vulnerable to many vulnerabilities, including Arbitrary Code Execution and Denial of Service (DoS), and Sensitive Information Exposure. Nokogiri bundles the libxml2 library, which is vulnerable in versions below 2.9.5.

The CVEs assigned to the vulnerabilities are:

CVE-2017-0663

It was discovered that a type confusion error existed in libxml2. An attacker could use this to specially construct XML data that could cause a denial of service or possibly execute arbitrary code.

CVE-2017-7375

It was discovered that libxml2 did not properly validate parsed entity references. An attacker could use this to specially construct XML data that could expose sensitive information.

CVE-2017-7376

It was discovered that a buffer overflow existed in libxml2 when handling HTTP redirects. An attacker could use this to specially construct XML data that could cause a denial of service or possibly execute arbitrary code.

CVE-2017-9047

Marcel Böhme and Van-Thuan Pham discovered a buffer overflow in libxml2 when handling elements. An attacker could use this to specially construct XML data that could cause a denial of service or possibly execute arbitrary code.

CVE-2017-9048

Marcel Böhme and Van-Thuan Pham discovered a buffer overread in libxml2 when handling elements. An attacker could use this to specially construct XML data that could cause a denial of service.

CVE-2017-9049, CVE-2017-9050

Marcel Böhme and Van-Thuan Pham discovered multiple buffer overreads in libxml2 when handling parameter-entity references. An attacker could use these to specially construct XML data that could cause a denial of service.

Remediation

Upgrade nokogiri to version 1.8.1 or higher.

References

high severity

XML External Entity (XXE) Injection

  • Vulnerable module: nokogiri
  • Introduced through: capybara@2.5.0, slimmer@10.1.3 and others

Detailed paths

  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 slimmer@10.1.3 nokogiri@1.6.8.1
    Remediation: Upgrade to slimmer@11.0.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 capybara@2.5.0 xpath@2.0.0 nokogiri@1.6.8.1
    Remediation: Upgrade to capybara@2.5.0.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionview@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails-controller-testing@1.0.1 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rails-controller-testing@1.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 actionpack@5.0.0.1 rails-html-sanitizer@1.0.3 loofah@2.0.3 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 actionmailer@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rspec-rails@3.5.2 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rspec-rails@3.5.2.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 railties@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 rails@5.0.0.1 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to rails@5.0.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 sass-rails@5.0.6 sprockets-rails@3.2.0 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to sass-rails@5.0.6.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionpack@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actionmailer@5.0.0.1 actionview@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0 govuk_frontend_toolkit@2.0.1 rails@5.0.0.1 actioncable@5.0.0.1 actionpack@5.0.0.1 rails-dom-testing@2.0.1 nokogiri@1.6.8.1
    Remediation: Upgrade to govuk_frontend_toolkit@2.0.1.
  • Introduced through: alphagov/multipage-frontend@alphagov/multipage-frontend#0692a27fa18e510c067ab5967c854b4c01f95bf0